{"openapi":"3.0.0","info":{"title":"World Options Ecommerce REST API","description":"You can use this REST API to get rates, create shipments, etc.","version":"1.0.0"},"servers":[{"url":"\/","description":""}],"paths":{"\/api\/addresses":{"post":{"operationId":"postAddressCollection","tags":["Address"],"responses":{"201":{"description":"Address resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Address-address.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Address-address.read"}}},"links":{"GetAddressItem":{"operationId":"getAddressItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/addresses\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Access denied"}},"summary":"Create a Address resource","description":"Use this method to create Address resource. If address exist for this shop, we return existing resource instead creating new.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"name":{"type":"string","example":"My shop address","description":"Address name"},"company":{"type":"string","example":"Company Ltd.","description":"Company name"},"firstname":{"type":"string","example":"Joe","description":"Firstname"},"lastname":{"type":"string","example":"Doe","description":"Lastname"},"street":{"type":"string","example":"Liberty Avenue 24","description":"Street"},"postcode":{"type":"string","example":"00433","description":"Postcode"},"city":{"type":"string","example":"New York","description":"City"},"state":{"type":"string","example":"NY","description":"State"},"country":{"type":"string","example":"US","description":"Country"},"phone":{"type":"string","example":"123456789","description":"Phone"},"email":{"type":"string","example":"joe.doe@company.com","description":"Email"},"own":{"type":"boolean","example":"true","description":"Own address"}}}}},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\Address;\n    use WorldOptions\\Model\\Localization\\Country;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $address = new Address();\n    $address->setName(\"Joe Doe Address\");\n    $address->setCompany(\"Company Name\");\n    $address->setFirstname(\"Joe\");\n    $address->setLastname(\"Doe\");\n    $address->setStreet(\"Liberty Street 123\");\n    $address->setCity(\"London\");\n    $address->setPostcode(\"E1 7DB\");\n    $address->setState(\"London\");\n\n    $country = new Country();\n    $country->setCode(\"GB\");\n    $address->setCountry($country);\n\n    $address->setPhone(\"890988223\");\n    $address->setEmail(\"joe@doe.com\");\n    $address->setOwn(false);\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\Address\n     *\/\n    $address = $api->shops()->addresses()->create($address);\n    "}]},"parameters":[]},"\/api\/addresses\/own":{"get":{"operationId":"own_addressesAddressCollection","tags":["Address"],"responses":{"200":{"description":"Address collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Address-address.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Address-address.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of own Address resources","description":"Use this method to get collection of Address resources.","parameters":[],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    \/**\n     * @return WorldOptions\\Model\\Shop\\Address[]|Collection\n     *\/\n    $ownAddresses = $api->shops()->addresses()->own();\n    "}]},"parameters":[]},"\/api\/addresses\/{id}":{"get":{"operationId":"getAddressItem","tags":["Address"],"responses":{"200":{"description":"Address resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Address-address.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Address-address.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieve a Address resource","description":"Use this method to get data about Address resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    $id = 3;\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\Address\n     *\/\n    $address = $api->shops()->addresses()->get($id);\n    "}]},"patch":{"operationId":"patchAddressItem","tags":["Address"],"responses":{"200":{"description":"Address resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Address-address.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Address-address.read"}}},"links":{"GetAddressItem":{"operationId":"getAddressItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/addresses\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Update a Address resource","description":"Use this method to update Address resource. If updated address is the same as existing earlier in database, then we return existing resource and not updating original address.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Address resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/Address-address.write"}}},"required":true},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\Address;\n    use WorldOptions\\Model\\Localization\\Country;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $address = new Address();\n    $address->setId(23);\n    $address->setName(\"Joe Doe Address\");\n    $address->setCompany(\"Company Name\");\n    $address->setFirstname(\"Joe\");\n    $address->setLastname(\"Doe\");\n    $address->setStreet(\"Liberty Street 123\");\n    $address->setCity(\"London\");\n    $address->setPostcode(\"E1 7DB\");\n    $address->setState(\"London\");\n\n    $country = new Country();\n    $country->setCode(\"GB\");\n    $address->setCountry($country);\n\n    $address->setPhone(\"890988223\");\n    $address->setEmail(\"joe@doe.com\");\n    $address->setOwn(false);\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\Address\n     *\/\n    $address = $api->shops()->addresses()->update($address);\n    "}]},"parameters":[]},"\/api\/backup_rates":{"get":{"operationId":"getBackupRateCollection","tags":["BackupRate"],"responses":{"200":{"description":"BackupRate collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/BackupRate-shop.backupRate.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/BackupRate-shop.backupRate.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of BackupRate resources","description":"Use this method to get collection of BackupRate resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    \/**\n     * @return WorldOptions\\Model\\Shop\\BackupRate[]|Collection\n     *\/\n    $backupRates = $api->shops()->backupRates()->all();\n    "}]},"post":{"operationId":"postBackupRateCollection","tags":["BackupRate"],"responses":{"201":{"description":"BackupRate resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BackupRate-shop.backupRate.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/BackupRate-shop.backupRate.read"}}},"links":{"GetBackupRateItem":{"operationId":"getBackupRateItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/backup_rates\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Access denied"}},"summary":"Create a BackupRate resource","description":"Use this method to create BackupRate resource.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"name":{"type":"string","example":"My box","description":"Box name"},"amount":{"type":"float","example":"10","description":"Amount"},"currency":{"type":"string","example":"GBP","description":"ISO Currency Code"},"countries":{"type":"array","description":"Countries, where you present custom rates","items":{"type":"string","description":"Country ISO Code","example":"AU"}},"zones":{"type":"array","description":"Zones, where you present custom rates","items":{"type":"string","description":"Zone ISO Code","example":"EU"}}}}}},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\BackupRate;\n    use WorldOptions\\Model\\Localization\\Country;\n    use WorldOptions\\Model\\Localization\\Currency;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $backupRate = new BackupRate();\n    $backupRate->setId(10);\n    $backupRate->setName(\"My BackupRate\");\n    $backupRate->setAmount(100.5);\n\n    $currency = new Currency();\n    $currency->setCode(\"GBP\");\n\n    $backupRate->setCurrency($currency);\n\n    $countries = [\"AU\", \"GB\"];\n    if ($countries) {\n        foreach ($countries as $code) {\n            $country = new Country();\n            $country->setCode($code);\n\n            $backupRate->addCountry($country);\n        }\n    }\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\BackupRate\n     *\/\n    $backupRate = $api->shops()->backupRates()->create($backupRate);\n    "}]},"parameters":[]},"\/api\/backup_rates\/{id}":{"get":{"operationId":"getBackupRateItem","tags":["BackupRate"],"responses":{"200":{"description":"BackupRate resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BackupRate-shop.backupRate.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/BackupRate-shop.backupRate.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieve a BackupRate resource","description":"Use this method to get data about BackupRate resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    $id = 3;\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\BackupRate\n     *\/\n    $customRate = $api->shops()->backupRates()->get($id);\n    "}]},"delete":{"operationId":"deleteBackupRateItem","tags":["BackupRate"],"responses":{"204":{"description":"BackupRate resource deleted"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Delete a BackupRate resource","description":"Use this method to delete BackupRate resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n        \n    $backupRateId = 2;        \n\n    \/**\n     * @return bool\n     *\/\n    $deleted = $api->shops()->backupRates()->delete($backupRateId);\n    "}]},"patch":{"operationId":"patchBackupRateItem","tags":["BackupRate"],"responses":{"200":{"description":"BackupRate resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BackupRate-shop.backupRate.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/BackupRate-shop.backupRate.read"}}},"links":{"GetBackupRateItem":{"operationId":"getBackupRateItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/backup_rates\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Update a BackupRate resource","description":"Use this method to update BackupRate resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated BackupRate resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/BackupRate-shop.backupRate.write"}}},"required":true},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\BackupRate;\n    use WorldOptions\\Model\\Localization\\Country;\n    use WorldOptions\\Model\\Localization\\Currency;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $backupRate = new BackupRate();\n    $backupRate->setId(10);\n    $backupRate->setName(\"My BackupRate\");\n    $backupRate->setAmount(100.5);\n\n    $currency = new Currency();\n    $currency->setCode(\"GBP\");\n\n    $backupRate->setCurrency($currency);\n\n    $countries = [\"AU\", \"GB\"];\n    if ($countries) {\n        foreach ($countries as $code) {\n            $country = new Country();\n            $country->setCode($code);\n\n            $backupRate->addCountry($country);\n        }\n    }\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\BackupRate\n     *\/\n    $backupRate = $api->shops()->backupRates()->update($backupRate);\n    "}]},"parameters":[]},"\/api\/boxes":{"get":{"operationId":"getBoxCollection","tags":["Box"],"responses":{"200":{"description":"Box collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Box-box.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Box-box.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of Box resources","description":"Use this method to get collection of Box resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    \/**\n     * @return WorldOptions\\Model\\Shop\\Box[]|Collection\n     *\/\n    $boxes = $api->shops()->boxes()->all();\n    "}]},"post":{"operationId":"postBoxCollection","tags":["Box"],"responses":{"201":{"description":"Box resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Box-box.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Box-box.read"}}},"links":{"GetBoxItem":{"operationId":"getBoxItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/boxes\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Access denied"}},"summary":"Create a Box resource","description":"Use this method to create Box resource.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"name":{"type":"string","example":"My box","description":"Box name"},"outerWidth":{"type":"float","example":"10","description":"Outer Width (cm)"},"outerLength":{"type":"float","example":"20","description":"Outer Length (cm)"},"outerDepth":{"type":"float","example":"20","description":"Outer Depth (cm)"},"innerWidth":{"type":"float","example":"9","description":"Inner Width (cm)"},"innerLength":{"type":"float","example":"19","description":"Inner Length (cm)"},"innerDepth":{"type":"float","example":"19.5","description":"Inner Depth (cm)"},"emptyWeight":{"type":"float","example":"0.01","description":"Empty Weight (kg)"},"maxWeight":{"type":"float","example":"20","description":"Max Weight (kg)"},"active":{"type":"boolean","example":"true","description":"Active"},"deleted":{"type":"boolean","example":"false","description":"Deleted"}}}}},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\Box;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $box = new Box();\n    $box->setName(\"Box name\");\n    $box->setOuterWidth(100);\n    $box->setOuterLength(50);\n    $box->setOuterDepth(50);\n    $box->setInnerWidth(99.5);\n    $box->setInnerLength(49.5);\n    $box->setInnerDepth(49.5);\n    $box->setEmptyWeight(0.05);\n    $box->setMaxWeight(20);\n    $box->setActive(true);\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\Box\n     *\/\n    $box = $api->shops()->boxes()->create($box);\n    "}]},"parameters":[]},"\/api\/boxes\/{id}":{"get":{"operationId":"getBoxItem","tags":["Box"],"responses":{"200":{"description":"Box resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Box-box.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Box-box.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieve a Box resource","description":"Use this method to get data about Box resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    $id = 3;\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\Box\n     *\/\n    $box = $api->shops()->boxes()->get($id);\n    "}]},"patch":{"operationId":"patchBoxItem","tags":["Box"],"responses":{"200":{"description":"Box resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Box-box.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Box-box.read"}}},"links":{"GetBoxItem":{"operationId":"getBoxItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/boxes\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Update a Box resource","description":"Use this method to update Box resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Box resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/Box-box.write"}}},"required":true},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\Box;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $box = new Box();\n    $box->setId(3);\n    $box->setName(\"Box name\");\n    $box->setOuterWidth(100);\n    $box->setOuterLength(50);\n    $box->setOuterDepth(50);\n    $box->setInnerWidth(99.5);\n    $box->setInnerLength(49.5);\n    $box->setInnerDepth(49.5);\n    $box->setEmptyWeight(0.05);\n    $box->setMaxWeight(20);\n    $box->setActive(true);\n\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\Box\n     *\/\n    $box = $api->shops()->boxes()->update($box);\n    "}]},"parameters":[]},"\/api\/carrier_aliases":{"get":{"operationId":"getCarrierAliasCollection","tags":["CarrierAlias"],"responses":{"200":{"description":"CarrierAlias collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CarrierAlias-carrier.alias.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CarrierAlias-carrier.alias.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of CarrierAlias resources","description":"Don't use this method, this is depreciated.","parameters":[],"deprecated":false},"post":{"operationId":"postCarrierAliasCollection","tags":["CarrierAlias"],"responses":{"201":{"description":"CarrierAlias resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CarrierAlias-carrier.alias.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CarrierAlias-carrier.alias.read"}}},"links":{"GetCarrierAliasItem":{"operationId":"getCarrierAliasItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/carrier_aliases\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Access denied"}},"summary":"Creates a CarrierAlias resource","description":"Don't use this method, this is depreciated.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"alias":{"type":"string","example":"UPS Express","description":"Alias"},"carrier":{"type":"int","example":"1","description":"Carrier resource identifier"}}}}},"required":false},"deprecated":false},"parameters":[]},"\/api\/carrier_aliases\/{id}":{"get":{"operationId":"getCarrierAliasItem","tags":["CarrierAlias"],"responses":{"200":{"description":"CarrierAlias resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CarrierAlias-carrier.alias.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CarrierAlias-carrier.alias.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieves a CarrierAlias resource","description":"Don't use this method, this is depreciated.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"delete":{"operationId":"deleteCarrierAliasItem","tags":["CarrierAlias"],"responses":{"204":{"description":"CarrierAlias resource deleted"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Delete a CarrierAlias resource","description":"Don't use this method, this is depreciated.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"patchCarrierAliasItem","tags":["CarrierAlias"],"responses":{"200":{"description":"CarrierAlias resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CarrierAlias-carrier.alias.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CarrierAlias-carrier.alias.read"}}},"links":{"GetCarrierAliasItem":{"operationId":"getCarrierAliasItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/carrier_aliases\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Update a CarrierAlias resource","description":"Don't use this method, this is depreciated.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated CarrierAlias resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/CarrierAlias-carrier.alias.write"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/carrier_configs":{"get":{"operationId":"getCarrierConfigCollection","tags":["CarrierConfig"],"responses":{"200":{"description":"CarrierConfig collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CarrierConfig-carrier.configs.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CarrierConfig-carrier.configs.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of CarrierConfig resources","description":"Use this method to get collection of CarrierConfig resources.","parameters":[],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    \/**\n     * @return WorldOptions\\Model\\Carrier\\Config[]|Collection\n     *\/\n    $carriersConfigs = $api->carriers()->configs()->all();\n    "}]},"post":{"operationId":"postCarrierConfigCollection","tags":["CarrierConfig"],"responses":{"201":{"description":"CarrierConfig resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CarrierConfig-carrier.configs.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CarrierConfig-carrier.configs.read"}}},"links":{"GetCarrierConfigItem":{"operationId":"getCarrierConfigItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/carrier_configs\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Access denied"}},"summary":"Create a CarrierConfig resource","description":"Use this method to create CarrierConfig resource.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"displayName":{"type":"boolean","example":"true","description":"Display carrier name or alias on frontend"},"alias":{"type":"string","example":"UPS Express","description":"Alias"},"carrier":{"type":"int","example":"1","description":"Carrier resource identifier"},"collectionType":{"type":"string","enum":["next_day","specific_day","no_collection"],"example":"next_day","description":"Collection Type"},"collectionDay":{"type":"integer","example":1,"description":"Colection Day"},"collectionReadyTime":{"type":"time","example":"10:30","description":"Colection Ready Time"},"collectionCloseTime":{"type":"time","example":"17:00","description":"Colection Close Time"},"enableFrontend":{"type":"boolean","example":"true","description":"Enable carrier on frontend"},"enableBackend":{"type":"boolean","example":"true","description":"Enable carrier name on backend"}}}}},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Carrier;\n    use WorldOptions\\Model\\Shop;\n    use WorldOptions\\Model\\Carrier\\Config as CarrierConfig;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n        \n    $carrierId = 3;\n    $collectionType = Shop::COLLECTION_TYPE_SPECIFIC_DAY;\n    $carrierAlias = \"Best Carrier\";\n    $collectionDay = 2;\n    $collectionReadyTime = \"09:00:00\";\n    $collectionCloseTime = \"17:00:00\";\n\n    $carrierConfig = new CarrierConfig();\n\n    $carrier = new Carrier();\n    $carrier->setId($carrierId);\n    $carrierConfig->setCarrier($carrier);\n\n    $carrierConfig->setAlias($carrierAlias);\n    $carrierConfig->setCollectionType($collectionType);\n    $carrierConfig->setCollectionDay($collectionDay);\n    $carrierConfig->setCollectionReadyTime($collectionReadyTime);\n    $carrierConfig->setCollectionCloseTime($collectionCloseTime);\n                                \n\n    \/**\n     * @return WorldOptions\\Model\\Carrier\\Config\n     *\/\n    $carrierConfig = $api->carriers()->configs()->create($carrierConfig);\n    "}]},"parameters":[]},"\/api\/carrier_configs\/{id}":{"get":{"operationId":"getCarrierConfigItem","tags":["CarrierConfig"],"responses":{"200":{"description":"CarrierConfig resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CarrierConfig-carrier.configs.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CarrierConfig-carrier.configs.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieve a CarrierConfig resource","description":"Use this method to get data about CarrierConfig resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    $id = 3;\n\n    \/**\n     * @return WorldOptions\\Model\\Carrier\\Config\n     *\/\n    $carrierConfig = $api->carriers()->configs()->get($id);\n    "}]},"delete":{"operationId":"deleteCarrierConfigItem","tags":["CarrierConfig"],"responses":{"204":{"description":"CarrierConfig resource deleted"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Delete a CarrierConfig resource","description":"Use this method to delete CarrierConfig resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n        \n    $carrierConfigId = 2;        \n\n    \/**\n     * @return bool\n     *\/\n    $deleted = $api->carriers()->configs()->delete($carrierConfigId);\n    "}]},"patch":{"operationId":"patchCarrierConfigItem","tags":["CarrierConfig"],"responses":{"200":{"description":"CarrierConfig resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CarrierConfig-carrier.configs.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CarrierConfig-carrier.configs.read"}}},"links":{"GetCarrierConfigItem":{"operationId":"getCarrierConfigItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/carrier_configs\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Update a CarrierConfig resource","description":"Use this method to update CarrierConfig resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated CarrierConfig resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/CarrierConfig-carrier.configs.write"}}},"required":true},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop;\n    use WorldOptions\\Model\\Carrier\\Config as CarrierConfig;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n        \n    $carrierConfigId = 2;\n    $collectionType = Shop::COLLECTION_TYPE_SPECIFIC_DAY;\n    $carrierAlias = \"Best Carrier\";\n    $collectionDay = 2;\n    $collectionReadyTime = \"09:00:00\";\n    $collectionCloseTime = \"17:00:00\";\n\n    $carrierConfig = new CarrierConfig();\n    $carrierConfig->setId($carrierConfigId);\n    $carrierConfig->setAlias($carrierAlias);\n    $carrierConfig->setCollectionType($collectionType);\n    $carrierConfig->setCollectionDay($collectionDay);\n    $carrierConfig->setCollectionReadyTime($collectionReadyTime);\n    $carrierConfig->setCollectionCloseTime($collectionCloseTime);\n                                \n\n    \/**\n     * @return WorldOptions\\Model\\Carrier\\Config\n     *\/\n    $carrierConfig = $api->carriers()->configs()->update($carrierConfig);\n    "}]},"parameters":[]},"\/api\/carrier_services":{"get":{"operationId":"getCarrierServiceCollection","tags":["CarrierService"],"responses":{"200":{"description":"CarrierService collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CarrierService-carrier.service.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CarrierService-carrier.service.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of CarrierService resources","description":"Use this method to get collection of CarrierService resources.","parameters":[],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    \/**\n     * @return WorldOptions\\Model\\Carrier\\Service[]|Collection\n     *\/\n    $carriersConfigs = $api->carriers()->services()->all();\n    "}]},"parameters":[]},"\/api\/carrier_services\/{id}":{"get":{"operationId":"getCarrierServiceItem","tags":["CarrierService"],"responses":{"200":{"description":"CarrierService resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CarrierService-carrier.service.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CarrierService-carrier.service.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieve a CarrierService resource","description":"Use this method to get data about CarrierService resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    $id = 3;\n\n    \/**\n     * @return WorldOptions\\Model\\Carrier\\Service\n     *\/\n    $carrierConfig = $api->carriers()->services()->get($id);\n    "}]},"parameters":[]},"\/api\/carriers":{"get":{"operationId":"getCarrierCollection","tags":["Carrier"],"responses":{"200":{"description":"Carrier collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Carrier-carrier.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Carrier-carrier.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of Carrier resources","description":"Use this method to get collection of Carrier resources.","parameters":[],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    \/**\n     * @return WorldOptions\\Model\\Carrier[]|Collection\n     *\/\n    $carriers = $api->carriers()->all();\n    "}]},"parameters":[]},"\/api\/carriers\/internal":{"get":{"operationId":"internal_carriersCarrierCollection","tags":["Carrier"],"responses":{"200":{"description":"Carrier collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Carrier-carrier.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Carrier-carrier.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of Internal Carrier resources","description":"Use this method to get collection of Internal Carrier resources.","parameters":[],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    \/**\n     * @return WorldOptions\\Model\\Carrier[]|Collection\n     *\/\n    $carriers = $api->carriers()->internal();\n    "}]},"parameters":[]},"\/api\/carriers\/{id}":{"get":{"operationId":"getCarrierItem","tags":["Carrier"],"responses":{"200":{"description":"Carrier resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Carrier-carrier.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Carrier-carrier.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieves a Carrier resource","description":"Use this method to get data about Carrier.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    $id = 3;\n\n    \/**\n     * @return WorldOptions\\Model\\Carrier\n     *\/\n    $carrier = $api->carriers()->get($id);\n    "}]},"parameters":[]},"\/api\/carriers\/{id}\/config":{"get":{"operationId":"get_configCarrierItem","tags":["Carrier"],"responses":{"200":{"description":"Carrier resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Carrier-carrier.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Carrier-carrier.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieves a CarrierConfig resource","description":"Use this method to get data about CarrierConfig. ","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    $id = 3;\n\n    \/**\n     * @return WorldOptions\\Model\\Carrier\\Config\n     *\/\n    $carrierConfig = $api->carriers()->config($id);\n    "}]},"parameters":[]},"\/api\/certificate":{"post":{"operationId":"shipments_certificateShipmentItem","tags":["Shipment"],"responses":{"201":{"description":"Shipment resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Shipment-shipment.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Shipment-shipment.read"}}},"links":{"GetShipmentItem":{"operationId":"getShipmentItem","parameters":{},"description":"The values returned in the response can be used in `GET \/api\/shipments\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Get certificate for thermal printer","description":"Use this method to get certificate for thermal printing purposes.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"","content":{},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    \/**\n     * @return string\n     *\/\n    $certificate = $api->shops()->shipments()->certificate();\n    "}]},"parameters":[]},"\/api\/countries":{"get":{"operationId":"getCountryCollection","tags":["Country"],"responses":{"200":{"description":"Country collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Country-country.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Country-country.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of Country resources","description":"Use this method to get collection of Country resources.","parameters":[],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    \n    $api = new WorldOptionsApi($siteUrl);\n    \n    \/**\n     * @return WorldOptions\\Model\\Localization\\Country[]|Collection\n     *\/\n    $countries = $api->countries()->all();\n    "}]},"parameters":[]},"\/api\/countries\/wo":{"get":{"operationId":"countries_woCountryCollection","tags":["Country"],"responses":{"200":{"description":"Country collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Country-country.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Country-country.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of World Options Country resources","description":"Use this method to get collection of Country resources, where World Options operate.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    \n    $api = new WorldOptionsApi($siteUrl);\n    \n    \/**\n     * @return WorldOptions\\Model\\Localization\\Country[]|Collection\n     *\/\n    $country = $api->countries()->wo();\n    "}]},"parameters":[]},"\/api\/countries\/{code}":{"get":{"operationId":"getCountryItem","tags":["Country"],"responses":{"200":{"description":"Country resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Country-country.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Country-country.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieves a Country resource","description":"Use this method to get data about Country. You should use Country ISO Code as resource identifier.","parameters":[{"name":"code","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    $countryIsoCode = 'GB';\n\n    \/**\n     * @return WorldOptions\\Model\\Localization\\Country\n     *\/\n    $country = $api->countries()->get($countryIsoCode);\n    "}]},"parameters":[]},"\/api\/currencies":{"get":{"operationId":"getCurrencyCollection","tags":["Currency"],"responses":{"200":{"description":"Currency collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Currency-currency.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Currency-currency.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of Currency resources","description":"Use this method to get collection of Currency resources.","parameters":[],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    \/**\n     * @return WorldOptions\\Model\\Localization\\Currency[]|Collection\n     *\/\n    $currencies = $api->currencies()->all();\n    "}]},"parameters":[]},"\/api\/currencies\/{code}":{"get":{"operationId":"getCurrencyItem","tags":["Currency"],"responses":{"200":{"description":"Currency resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Currency-currency.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Currency-currency.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieves a Currency resource","description":"Use this method to get data about Currency. You should use Currency ISO Code as resource identifier.","parameters":[{"name":"code","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    $currencyIsoCode = 'GBP';\n\n    \/**\n     * @return WorldOptions\\Model\\Localization\\Currency\n     *\/\n    $currency = $api->currencies()->get($currencyIsoCode);\n    "}]},"parameters":[]},"\/api\/custom_rates":{"get":{"operationId":"getCustomRateCollection","tags":["CustomRate"],"responses":{"200":{"description":"CustomRate collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CustomRate-shop.rate.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CustomRate-shop.rate.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of CustomRate resources","description":"Use this method to get collection of CustomRate resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    \/**\n     * @return WorldOptions\\Model\\Shop\\CustomRate[]|Collection\n     *\/\n    $customRates = $api->shops()->rates()->all();\n    "}]},"post":{"operationId":"postCustomRateCollection","tags":["CustomRate"],"responses":{"201":{"description":"CustomRate resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CustomRate-shop.rate.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CustomRate-shop.rate.read"}}},"links":{"GetCustomRateItem":{"operationId":"getCustomRateItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/custom_rates\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Access denied"}},"summary":"Create a CustomRate resource","description":"Use this method to create CustomRate resource.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"name":{"type":"string","example":"My box","description":"Box name"},"amount":{"type":"float","example":"10","description":"Amount"},"currency":{"type":"string","example":"GBP","description":"ISO Currency Code"},"countries":{"type":"array","description":"Countries, where you present custom rates","items":{"type":"string","description":"Country ISO Code","example":"AU"}},"zones":{"type":"array","description":"Zones, where you present custom rates","items":{"type":"string","description":"Zone ISO Code","example":"EU"}}}}}},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\CustomRate;\n    use WorldOptions\\Model\\Localization\\Country;\n    use WorldOptions\\Model\\Localization\\Currency;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $customRate = new CustomRate();\n    $customRate->setId(10);\n    $customRate->setName(\"My CustomRate\");\n    $customRate->setAmount(100.5);\n\n    $currency = new Currency();\n    $currency->setCode(\"GBP\");\n\n    $customRate->setCurrency($currency);\n\n    $countries = [\"AU\", \"GB\"];\n    if ($countries) {\n        foreach ($countries as $code) {\n            $country = new Country();\n            $country->setCode($code);\n\n            $customRate->addCountry($country);\n        }\n    }\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\CustomRate\n     *\/\n    $customRate = $api->shops()->rates()->create($customRate);\n    "}]},"parameters":[]},"\/api\/custom_rates\/{id}":{"get":{"operationId":"getCustomRateItem","tags":["CustomRate"],"responses":{"200":{"description":"CustomRate resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CustomRate-shop.rate.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CustomRate-shop.rate.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieve a CustomRate resource","description":"Use this method to get data about CustomRate resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    $id = 3;\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\CustomRate\n     *\/\n    $customRate = $api->shops()->rates()->get($id);\n    "}]},"delete":{"operationId":"deleteCustomRateItem","tags":["CustomRate"],"responses":{"204":{"description":"CustomRate resource deleted"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Delete a CustomRate resource","description":"Use this method to delete CustomRate resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n        \n    $customRateId = 2;        \n\n    \/**\n     * @return bool\n     *\/\n    $deleted = $api->shops()->rates()->delete($customRateId);\n    "}]},"patch":{"operationId":"patchCustomRateItem","tags":["CustomRate"],"responses":{"200":{"description":"CustomRate resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CustomRate-shop.rate.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CustomRate-shop.rate.read"}}},"links":{"GetCustomRateItem":{"operationId":"getCustomRateItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/custom_rates\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Update a CustomRate resource","description":"Use this method to update CustomRate resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated CustomRate resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/CustomRate-shop.rate.write"}}},"required":true},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\CustomRate;\n    use WorldOptions\\Model\\Localization\\Country;\n    use WorldOptions\\Model\\Localization\\Currency;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $customRate = new CustomRate();\n    $customRate->setId(10);\n    $customRate->setName(\"My CustomRate\");\n    $customRate->setAmount(100.5);\n\n    $currency = new Currency();\n    $currency->setCode(\"GBP\");\n\n    $customRate->setCurrency($currency);\n\n    $countries = [\"AU\", \"GB\"];\n    if ($countries) {\n        foreach ($countries as $code) {\n            $country = new Country();\n            $country->setCode($code);\n\n            $customRate->addCountry($country);\n        }\n    }\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\CustomRate\n     *\/\n    $customRate = $api->shops()->rates()->update($customRate);\n    "}]},"parameters":[]},"\/api\/customers\/authorize":{"post":{"operationId":"customer_authorizeCustomerItem","tags":["Customer"],"responses":{"201":{"description":"You will get information about authorization","content":{"application\/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":"true","description":"If authorization was success"}}}}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Authorize customer","description":"Use this method to check if you have valid data from Customer Portal and you can using Ecommerce REST API to connect with Customer Portal. Meternumber you can find on Integration section after you log in to Customer Portal. ","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"username":{"type":"string","example":"MyUsername","description":"Username from Customer Portal"},"password":{"type":"string","example":"Kr$2f$s5@df","description":"Password from Customer Portal"},"meternumber":{"type":"string","example":"oudqwuidas8328qsqdwiaasd","desription":"Meternumber from Customer Portal"},"country":{"type":"string","example":"AU","description":"ISO Code for country from Customer Portal"}}}}},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Customer;\n    use WorldOptions\\Model\\Localization\\Country;\n\n    $siteUrl = 'http:\/\/example.com'; \n    \n    $api = new WorldOptionsApi($siteUrl);\n    \n    $customer = new Customer();\n    $customer->setUsername('WOTest');\n    $customer->setPassword('Password123');\n    $customer->setMeternumber('ddffg3rfdweq22rffeiwijew');\n\n    $country = new Country();\n    $country->setCode('GB');\n    $customer->setCountry($country);\n\n    \/**\n     * @return bool\n     *\/\n    $customer = $api->customers()->authorize($customer);\n    "}]},"parameters":[]},"\/api\/customers\/contact":{"post":{"operationId":"customer_contactCustomerItem","tags":["Customer"],"responses":{"201":{"description":"Customer resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Customer-customer.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Customer-customer.read"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"200":{"description":"You will get information if mail was sended or not","content":{"application\/json":{"schema":{"type":"object","properties":{"result":{"type":"boolean","example":"true","description":"If email was sended"}}}}}},"403":{"description":"Access denied"}},"summary":"Contact form with support","description":"Use this method to send email to our support team.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"company":{"type":"string","example":"Company","description":"Company Name"},"firstname":{"type":"string","example":"Joe","description":"Firstname"},"lastname":{"type":"string","example":"Doe","description":"Lastname"},"phone":{"type":"string","example":"+44 888 888 888","description":"Phone number"},"email":{"type":"string","example":"test@example.com","description":"Email address"},"message":{"type":"string","example":"Custom message","description":"Email message"},"type":{"type":"string","enum":["customer","issue"],"example":"customer","description":"Type of contact"},"country":{"type":"string","example":"US","description":"Country"}}}}},"required":false},"deprecated":false},"parameters":[]},"\/api\/customers\/info":{"get":{"operationId":"customer_get_infoCustomerItem","tags":["Customer"],"responses":{"200":{"description":"Customer resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Customer-customer.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Customer-customer.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieves a Customer resource","description":"Use this method to get data about Customer. You can check, which shop are attached to this customer. We don't return password or meternumber on response as this data are sensitive. ","parameters":[],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew'; \n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \/**\n     * @return WorldOptions\\Model\\Customer\n     *\/\n    $customer = $api->customers()->info();\n    "}]},"parameters":[]},"\/api\/orders":{"get":{"operationId":"getOrderCollection","tags":["Order"],"responses":{"200":{"description":"Order collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Order-order.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Order-order.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of Order resources","description":"Use this method to get collection of Order resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    \/**\n     * @return WorldOptions\\Model\\Shop\\Order[]|Collection\n     *\/\n    $orders = $api->shops()->orders()->all();\n    "}]},"post":{"operationId":"postOrderCollection","tags":["Order"],"responses":{"201":{"description":"Order resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Order-order.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Order-order.read"}}},"links":{"GetOrderItem":{"operationId":"getOrderItem","parameters":{"orderId":"$response.body#\/orderId"},"description":"The `orderId` value returned in the response can be used as the `orderId` parameter in `GET \/api\/orders\/{orderId}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Access denied"}},"summary":"Create a Order resource","description":"Use this method to create Order resource.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"orderId":{"type":"string","example":"4261520113844","description":"External order ID"},"reference":{"type":"string","example":"#1001","description":"External order reference"},"amount":{"type":"float","example":"149.00","description":"Order amount"},"currency":{"type":"string","example":"USD","description":"ISO Code for Order currency"},"data":{"type":"array","description":"Additional order data"}}}}},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\Order;\n    use WorldOptions\\Model\\Shop\\Rate;\n    use WorldOptions\\Model\\Localization\\Currency;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $order = new Order();\n    $order->setOrderId(\"1234\");\n    $order->setReference(\"#12344\");\n    $order->setAmount(100.86);\n\n    $currency = new Currency();\n    $currency->setCode(\"GBP\");\n    $order->setCurrency($currency);\n\n    \/* add WorldOptions\\Model\\Shop\\Rate object if you want attach WorldOptions\\Model\\Rate resource to WorldOptions\\Model\\Shop\\Order resource and create dummy shipment (used to save customer carrier choice on shopping cart) *\/\n\n    $rate = new Rate();\n    \/* id for WorldOptions\\Model\\Rate resource *\/\n    $rate->setId(234);\n    \/* id for WorldOptions\\Model\\Carier\\Service resource *\/\n    $rate->setService(12);\n\n    $order->addRate($rate);\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\Order\n     *\/\n    $order = $api->shops()->orders()->create($order);\n    "}]},"parameters":[]},"\/api\/orders\/{orderId}":{"get":{"operationId":"getOrderItem","tags":["Order"],"responses":{"200":{"description":"Order resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Order-order.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Order-order.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieve a Order resource","description":"Use this method to get data about Order resource.","parameters":[{"name":"orderId","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    $id = 3;\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\Order\n     *\/\n    $order = $api->shops()->orders()->get($id);\n    "}]},"delete":{"operationId":"deleteOrderItem","tags":["Order"],"responses":{"204":{"description":"Order resource deleted"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Delete a Order resource","description":"Use this method to delete Order resource.","parameters":[{"name":"orderId","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n        \n    $orderId = 2;        \n\n    \/**\n     * @return bool\n     *\/\n    $deleted = $api->shops()->orders()->delete($orderId);\n    "}]},"patch":{"operationId":"patchOrderItem","tags":["Order"],"responses":{"200":{"description":"Order resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Order-order.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Order-order.read"}}},"links":{"GetOrderItem":{"operationId":"getOrderItem","parameters":{"orderId":"$response.body#\/orderId"},"description":"The `orderId` value returned in the response can be used as the `orderId` parameter in `GET \/api\/orders\/{orderId}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Update a Order resource","description":"Use this method to update Order resource.","parameters":[{"name":"orderId","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Order resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/Order-order.write"}}},"required":true},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\Model\\Shop\\Order;\n    use WorldOptions\\Model\\Localization\\Currency;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $order = new Order();\n    $order->setId(43)\n    $order->setOrderId(\"1234\");\n    $order->setReference(\"#12344\");\n    $order->setAmount(100.86);\n\n    $currency = new Currency();\n    $currency->setCode(\"GBP\");\n    $order->setCurrency($currency);\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\Order\n     *\/\n    $order = $api->shops()->orders()->update($order);\n    "}]},"parameters":[]},"\/api\/orders\/{orderId}\/documents":{"post":{"operationId":"orders_documentsOrderItem","tags":["Order"],"responses":{"201":{"description":"Order resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Order-order.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Order-order.read"}}},"links":{"GetOrderItem":{"operationId":"getOrderItem","parameters":{"orderId":"$response.body#\/orderId"},"description":"The `orderId` value returned in the response can be used as the `orderId` parameter in `GET \/api\/orders\/{orderId}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"200":{"description":"You will get information if mail was sended or not","content":{"application\/json":{"schema":{"type":"object","properties":{"result":{"type":"boolean","example":"true","description":"If email was sended"}}}}}},"403":{"description":"Access denied"}},"summary":"Send shipping documents on email address","description":"Use this method to send shipping labels and commercial invoices (if exist) on email address.","parameters":[{"name":"orderId","in":"path","description":"Order ID","required":true,"deprecated":false,"allowEmptyValue":false,"schema":[],"style":"simple","explode":false,"allowReserved":false,"example":"51"}],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"email":{"type":"string","example":"test@example.com","description":"Email address"},"message":{"type":"string","example":"Custom messahe","description":"Email message"},"type":{"type":"string","enum":["all","labels","invoice"],"example":"all","description":"What kind of documents should be send"}}}}},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n        \n    $orderId = 2;\n    $type = \"all\":\n    $message = \"Hello, i send you labels, please attach them to boxes. Thanks\";\n    $email = \"joe@doe.com\";        \n\n    \/**\n     * @return bool\n     *\/\n    $result = $api->shops()->orders()->documents($orderId, $type, $message, $email);\n    "}]},"parameters":[]},"\/api\/orders\/{orderId}\/invoices":{"get":{"operationId":"orders_invoicesOrderItem","tags":["Order"],"responses":{"200":{"description":"You will get generated commercial invoice","content":{"application\/json":{"schema":{"type":"object","properties":{"invoices":{"type":"array","description":"Invoices encoded by base64"}}}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Get commercial invoice(s) for order","description":"Use this method to get commercial invoices (if exist) for order. ","parameters":[{"name":"orderId","in":"path","description":"Order ID","required":true,"deprecated":false,"allowEmptyValue":false,"schema":[],"style":"simple","explode":false,"allowReserved":false,"example":"51"}],"requestBody":{"description":"","content":{},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n        \n    $orderId = 2;     \n\n    \/**\n     * @return array\n     *\/\n    $result = $api->shops()->orders()->invoices($orderId);\n\n    $invoices = $data[\"invoices\"];\n    "}]},"parameters":[]},"\/api\/product_dimensions":{"post":{"operationId":"postProductDimensionCollection","tags":["ProductDimension"],"responses":{"201":{"description":"ProductDimension resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ProductDimension-product.dimension.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ProductDimension-product.dimension.read"}}},"links":{"GetProductDimensionItem":{"operationId":"getProductDimensionItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/product_dimensions\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Access denied"}},"summary":"Create a ProductDimension resource","description":"Use this method to create ProductDimension resource.","parameters":[],"requestBody":{"description":"The new ProductDimension resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ProductDimension-product.dimension.write"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ProductDimension-product.dimension.write"}}},"required":true},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\ProductDimension;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $productDimension = new ProductDimension();\n    $productDimension->setWidth(10.5);\n    $productDimension->setLength(15.5);\n    $productDimension->setDepth(10);\n    $productDimension->setWeight(2.5);\n    $productDimension->setBackend(false);\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\ProductDimension\n     *\/\n    $customRate = $api->shops()->products()->dimensions()->create($customRate);\n    "}]},"parameters":[]},"\/api\/product_dimensions\/{id}":{"get":{"operationId":"getProductDimensionItem","tags":["ProductDimension"],"responses":{"200":{"description":"ProductDimension resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ProductDimension-product.dimension.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ProductDimension-product.dimension.read"}}}},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Retrieve a ProductDimension resource","description":"Use this method to get data about ProductDimension resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    $id = 3;\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\ProductDimension\n     *\/\n    $productDimension = $api->shops()->products()->dimensions()->get($id);\n    "}]},"delete":{"operationId":"deleteProductDimensionItem","tags":["ProductDimension"],"responses":{"204":{"description":"ProductDimension resource deleted"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Delete a ProductDimension resource","description":"Use this method to delete ProductDimension resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n        \n    $productDimensionId = 2;        \n\n    \/**\n     * @return bool\n     *\/\n    $deleted = $api->shops()->products()->dimensions()->delete($productDimensionId);\n    "}]},"patch":{"operationId":"patchProductDimensionItem","tags":["ProductDimension"],"responses":{"200":{"description":"ProductDimension resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ProductDimension-product.dimension.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ProductDimension-product.dimension.read"}}},"links":{"GetProductDimensionItem":{"operationId":"getProductDimensionItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/product_dimensions\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"403":{"description":"Access denied"}},"summary":"Update a ProductDimension resource","description":"Use this method to update ProductDimension resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated ProductDimension resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/ProductDimension-product.dimension.write"}}},"required":true},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\ProductDimension;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $productDimension = new ProductDimension();\n    $productDimension->setId(123);\n    $productDimension->setWidth(10.5);\n    $productDimension->setLength(15.5);\n    $productDimension->setDepth(10);\n    $productDimension->setWeight(2.5);\n    $productDimension->setBackend(false);\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\ProductDimension\n     *\/\n    $productDimension = $api->shops()->products()->dimensions()->update($productDimension);\n    "}]},"parameters":[]},"\/api\/products":{"get":{"operationId":"getProductCollection","tags":["Product"],"responses":{"200":{"description":"Product collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product-product.read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product-product.read"}}}}},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of Product resources","description":"Use this method to get collection of Product resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n    \n    \/**\n     * @return WorldOptions\\Model\\Shop\\Product[]|Collection\n     *\/\n    $products = $api->shops()->products()->all();\n    "}]},"post":{"operationId":"postProductCollection","tags":["Product"],"responses":{"201":{"description":"Product resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Product-product.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Product-product.read"}}},"links":{"GetProductItem":{"operationId":"getProductItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/products\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Access denied"}},"summary":"Create a Product resource","description":"Use this method to create CustomRate resource.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"name":{"type":"string","example":"My product","description":"Product name"},"description":{"type":"string","example":"My product description","description":"Product description"},"htsNumber":{"type":"string","example":"4Fe4#Df#","description":"HTS Number"},"reference":{"type":"string","example":"ET-23445","description":"Reference, eg. SKU"},"productId":{"type":"string","example":"123459","description":"External Product ID"},"variantId":{"type":"string","example":"12398772","description":"External Product Variant ID"},"type":{"type":"string","enum":["individual","shared"],"example":"individual","description":"Product type for packing"},"country":{"type":"string","example":"GB","description":"ISO Country Code"},"price":{"type":"float","example":"10.01","description":"Product Price"},"shippingFeeAmount":{"type":"float","example":"10.01","description":"Additional Shipping Fee Amount"},"shippingFeeType":{"type":"string","enum":["percentage","amount"],"example":"percentage","description":"Additional Shipping Fee Type"},"currency":{"type":"string","example":"GBP","description":"ISO Currency Code"},"keepFlat":{"type":"boolean","example":"true","description":"Product must be keep flat when packing"},"enablePacking":{"type":"boolean","example":"true","description":"Enable if you want pack product into boxes."},"dimensions":{"type":"array","description":"Product packages and dimensions","items":{"type":"object","description":"Product package and dimensions","properties":{"width":{"type":"float","example":"10.01","description":"Product Package Width"},"length":{"type":"float","example":"10.01","description":"Product Package Length"},"depth":{"type":"float","example":"10.01","description":"Product Package Depth"},"weight":{"type":"float","example":"10.01","description":"Product Package Weight"},"backend":{"type":"boolean","example":"true","description":"Use to calculate rates on shop backend"}}}},"boxes":{"type":"array","description":"Boxes, on which product should be packed","items":{"type":"integer","description":"Box Identifier","example":1}}}}}},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\Product;\n    use WorldOptions\\Model\\Shop\\ProductDimension;\n    use WorldOptions\\Model\\Localization\\Country;\n    use WorldOptions\\Model\\Localization\\Currency;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $product = new Product();\n    $product->setDescription(\"Commercial Invoice Description\");\n    $product->setType(Product::TYPE_SHARED);\n    $product->setName(\"Product Name\");\n    $product->setProductId(\"1234\");\n    $product->setReference(\"SKU Code\");\n    $product->setPrice(100.99);\n\n    $currency = new Currency();\n    $currency->setCode(\"GBP\");\n    $product->setCurrency($currency);\n\n    $country = new Country();\n    $country->setCode(\"GB\");\n    $product->setCountry($country);\n    \n    $product->setKeepFlat(false);\n    $product->setEnablePacking(true);\n\n    $dimensions = [\n        [\n            \"width\" => 10,\n            \"length\" => 10,\n            \"height\" => 20,\n            \"weight\" => 2,\n            \"backend\" => false,\n        ],\n        [\n            \"width\" => 9,\n            \"length\" => 9,\n            \"height\" => 9,\n            \"weight\" => 2,\n            \"backend\" => true,\n        ],\n    ];\n\n    if ($dimensions) {\n        foreach ($dimensions as $dims) {\n            $dimension = new ProductDimension();\n            $dimension->setWidth($dims[\"width\"]);\n            $dimension->setLength($dims[\"length\"]);\n            $dimension->setDepth($dims[|\"height\"]);\n            $dimension->setWeight($dims[\"weight\"]);\n            $dimension->setBackend($dims[\"backend\"]);\n\n            $product->addDimension($dimension);\n        }\n    }\n\n    \/**\n     * @return WorldOptions\\Model\\Shop\\Product\n     *\/\n    $product = $api->shops()->products()->create($product);\n    "}]},"parameters":[]},"\/api\/products\/check":{"post":{"operationId":"check_productsProductCollection","tags":["Product"],"responses":{"201":{"description":"Product resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Product-product.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Product-product.read"}}},"links":{"GetProductItem":{"operationId":"getProductItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/products\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Access denied"}},"summary":"Retrieves the collection of Product resources","description":"Use this method to get collection of Product resources.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"products":{"type":"array","description":"Products to check","items":{"type":"object","description":"Products","properties":{"productId":{"type":"integer","example":"123459","description":"External Product ID"},"variantId":{"type":"integer","example":"12398772","description":"External Product Variant ID"}}}}}}}},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $items = [\n        [\n            \"product_id\" => 1532,\n            \"variation_id\" => 3521,\n        ],\n        [\n            \"product_id\" => 34552,\n        ],\n    ];\n    $products = [];\n    foreach ($items as $item) {\n        $product = new Product();\n        $product->setProductId($item[\"product_id\"]);\n        if (isset($item[\"variation_id\"]) {\n            $product->setVariantId($item[\"variation_id\"]);\n        }\n        $products[] = $product;\n    }\n    \n    \/**\n     * @return WorldOptions\\Model\\Shop\\Product[]|Collection\n     *\/\n    $products = $api->shops()->products()->check($products);\n    "}]},"parameters":[]},"\/api\/products\/export":{"post":{"operationId":"api_export_productsProductItem","tags":["Product"],"responses":{"201":{"description":"Product resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Product-product.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Product-product.read"}}},"links":{"GetProductItem":{"operationId":"getProductItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/products\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"200":{"description":"You will get information about export products","content":{"application\/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":"true","description":"If export product was started"},"data":{"type":"array","description":"Additional data"}}}}}},"403":{"description":"Access denied"}},"summary":"Export products to CSV","description":"Use this method to export products to CSV file. ","parameters":[],"requestBody":{"description":"","content":{"application\/json":[]},"required":false},"deprecated":false},"parameters":[]},"\/api\/products\/import":{"post":{"operationId":"api_import_productsProductItem","tags":["Product"],"responses":{"201":{"description":"Product resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Product-product.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Product-product.read"}}},"links":{"GetProductItem":{"operationId":"getProductItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/products\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"200":{"description":"You will get information about import products","content":{"application\/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":"true","description":"If import product was started"},"data":{"type":"array","description":"Additional data"}}}}}},"403":{"description":"Access denied"}},"summary":"Import products from CSV","description":"Use this method to import products from CSV file. ","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"payload":{"type":"string","description":"base64 encoded file content"}}}}},"required":false},"deprecated":false},"parameters":[]},"\/api\/products\/update":{"post":{"operationId":"update_productsProductCollection","tags":["Product"],"responses":{"201":{"description":"Product resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Product-product.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Product-product.read"}}},"links":{"GetProductItem":{"operationId":"getProductItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/products\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Access denied"}},"summary":"Update the collection of Product resources","description":"Use this method to update collection of Product resources.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"products":{"type":"array","description":"Products to checl","items":{"type":"object","description":"Products","properties":{"name":{"type":"string","example":"My product","description":"Product name"},"description":{"type":"string","example":"My product description","description":"Product description"},"htsNumber":{"type":"string","example":"4Fe4#Df#","description":"HTS Number"},"reference":{"type":"string","example":"ET-23445","description":"Reference, eg. SKU"},"productId":{"type":"string","example":"123459","description":"External Product ID"},"variantId":{"type":"string","example":"12398772","description":"External Product Variant ID"},"type":{"type":"string","enum":["individual","shared"],"example":"individual","description":"Product type for packing"},"country":{"type":"string","example":"GB","description":"ISO Country Code"},"price":{"type":"float","example":"10.01","description":"Product Price"},"shippingDays":{"type":"integer","example":"10","description":"Additional Shipping Days"},"shippingFeeAmount":{"type":"float","example":"10.01","description":"Additional Shipping Fee Amount"},"shippingFeeType":{"type":"string","enum":["percentage","amount"],"example":"percentage","description":"Additional Shipping Fee Type"},"currency":{"type":"string","example":"GBP","description":"ISO Currency Code"},"keepFlat":{"type":"boolean","example":"true","description":"Product must be keep flat when packing"},"enablePacking":{"type":"boolean","example":"true","description":"Enable if you want pack product into boxes."},"dimensions":{"type":"array","description":"Product packages and dimensions","items":{"type":"object","description":"Product package and dimensions","properties":{"width":{"type":"float","example":"10.01","description":"Product Package Width"},"length":{"type":"float","example":"10.01","description":"Product Package Length"},"depth":{"type":"float","example":"10.01","description":"Product Package Depth"},"weight":{"type":"float","example":"10.01","description":"Product Package Weight"},"backend":{"type":"boolean","example":"true","description":"Use to calculate rates on shop backend"}}}},"boxes":{"type":"array","description":"Boxes, on which product should be packed","items":{"type":"integer","description":"Box Identifier","example":1}}}}}}}}},"required":false},"deprecated":false,"x-codeSamples":[{"lang":"php","label":"WorldOptions PHP SDK","source":"<?php \n    use WorldOptions\\WorldOptions as WorldOptionsApi;\n    use WorldOptions\\Model\\Shop\\Product;\n    use WorldOptions\\Model\\Shop\\ProductDimension;\n    use WorldOptions\\Model\\Localization\\Country;\n    use WorldOptions\\Model\\Localization\\Currency;\n\n    $siteUrl = 'http:\/\/example.com'; \n    $username = 'WOTest'; \n    $meternumber = 'ddffg3rfdweq22rffeiwijew';\n    \n    $api = new WorldOptionsApi($siteUrl, $username, $meternumber);\n\n    $products = [];\n\n    $product = new Product();\n    $product->setId(2);\n    $product->setDescription(\"Commercial Invoice Description\");\n    $product->setType(Product::TYPE_SHARED);\n    $product->setName(\"Product Name\");\n    $product->setProduct
[...]
